<?php
///////////////////////////////////////////////////// 
//   PHP myGuestbook 2.0 by Peachy Dandy Software  // 
//            http://www.peachydandy.com           // 
//                                                 // 
//          PHP myGuestbook is a full              // 
//                featured guestbook               // 
//        YOU MAY NOT EDIT, REMOVE OR ALTER        // 
//      OUR COPYRIGHT LINKS WITHOUT PERMISSION     // 
///////////////////////////////////////////////////// 

//
// Start the message class
//
class Messages{

	//
	// Properties
	//
	var $query; // Query
	var $template_dir 	= 'template/'; // Template folder
	var $file_ext 		= '.php'; // Extension
	var $buffer; // Variable to go through class

	//
	// Constructor
	//
	function Messages($query){

		$this->query = $query;

	}
	
	//
	// Template function
	//
	function parseVars($input, $array){	
		
		// Search för matches
		$search = preg_match_all('/{.*?}/', $input, $matches);
		
		// Loop matches
		for($i = 0; $i < $search; $i++){
			$matches[0][$i] = str_replace(array('{', '}'), null, $matches[0][$i]);	
		}
		
		// Go through it all and replace
		foreach($matches[0] as $value){
			$input = str_replace('{' . $value . '}', $array[$value], $input);
		} 	
		
		return $input;
	
	}
	
	//
	// Template function
	//
	function loadTemplate($file) {
		
		// Check if the file exists, then return the content
		if (file_exists($this ->template_dir . $file . $this->file_ext)){
		
			$this->buffer = file_get_contents($this->template_dir . $file . $this -> file_ext);
			
			return $this->buffer;
			
		}
		// If it doesn't exist we output an error
		else{
		
			return $this->template_dir . $file . $this->file_ext . ' does not exist';
		
		}
		
	}
	
	//
	// Show messages
	//
	function showMessages(){

		$content = '';
		$errorMess = '<p>No messages found.</p>'; // Error message
		
		// Do the query
		$q = mysql_query($this->query) or die (mysql_error());
		
		// If we got matches, continue
		if (mysql_num_rows($q) > 0){
			
			// Loop the matches
			while ($row = mysql_fetch_array($q)){
				
				// Just some variables
				$website = Secure($row['website']); // Website field
				$email = Secure($row['email']); // Email field
				
				// Deal with the time
				$on = date('F j, Y', strtotime($row['date'])); // May 25, 2008
				$at = date('g:i a', strtotime($row['date'])); // 2:51 pm
				
				if ($website == ""){
					$websiteLink = "Not filled in"; // If field website was empty
				}
				else{
					$websiteLink = '<a href="'.$website.'">'.$website.'</a>';
				}
			
				// Now put all variables in an array to parse them with the template
				$array = array('name' => ''.Secure($row['name']).'',
			    'website'  => ''.$websiteLink.'',
				'email' => '<a href="mailto: '.$email.'">'.$email.'</a>',
				'message' => ''.BBCode(Secure($row['message'])).'',
				'date' => ''.$on.' '.$at.'',
				'row' => ''.$row['id'].'');
				
				$load = $this->loadTemplate('message');
				$content .= $this->parseVars($load, $array);
		
			}
		
			return $content; // Return messages
				
		}
		else{
			return $errorMess; // If no messages where found, return error message
		}

	}

}
?>