<?php
///////////////////////////////////////////////////// 
//   PHP myGuestbook 2.0 by Peachy Dandy Software  // 
//            http://www.peachydandy.com           // 
//                                                 // 
//          PHP myGuestbook is a full              // 
//                featured guestbook               // 
//        YOU MAY NOT EDIT, REMOVE OR ALTER        // 
//      OUR COPYRIGHT LINKS WITHOUT PERMISSION     // 
///////////////////////////////////////////////////// 
	
	//
	// Includes
	//
	include("template/header.php"); // Header template
	include("classes/class_messages.php"); // MEssage class
	include("classes/class_paging.php"); // Paging class
	include_once("settings.php"); // Settings
	include_once("functions.php"); // Functions
	include_once("captcha_img.php"); // Captcha image file
	
	//
	// Paging settings
	//
	$qSelect = "SELECT * FROM ".$dbPrefix."messages ORDER BY id DESC"; // Query
	$qCount = "SELECT COUNT(*) as 'total' FROM ".$dbPrefix."messages"; // Query to count results
	$tmpNav['before'] = '<div class="nav">'; // Before navigation
	$tmpNav['after'] = '</div>'; // After navigation
	$tmpPaging['before'] = '<div class="paging">'; // Before paging
	$tmpPaging['after'] = '</div>'; // After paging
	
	//
	// Paging class
	//
	$p = new getPaging($qSelect, $qCount, $perPage, $padding, $tmpNav, $tmpPaging);
	
	//
	// Message settings
	//
	$q = $p->fetchArray(); // Query, pulled from paging class

	//
	// Message class
	//
	$m = new Messages($q);
	
	//
	// Show messages and pading
	//
	
	echo $p->showNav(); // Show navigation
	
	echo $p->displayPaging(); // Show paging

	echo $m->showMessages(); // Show messages
	
	echo $p->displayPaging(); // Show paging again, below messages
	
	// Include message form
	include("message_form.php");
	
	// You may NOT remove this link without permission from Peachy Dandy www.peachydandy.com
	echo "<div id=\"footer\">Powered by PHP MyGuestbook v2.0.<br />Made by <a href=\"http://www.peachydandy.com/\">Peachy Dandy</a>.</div>";
	
	// Include footer template
	include("template/footer.php");
?>