<?php
///////////////////////////////////////////////////// 
//   PHP myGuestbook 2.0 by Peachy Dandy Software  // 
//            http://www.peachydandy.com           // 
//                                                 // 
//          PHP myGuestbook is a full              // 
//                featured guestbook               // 
//        YOU MAY NOT EDIT, REMOVE OR ALTER        // 
//      OUR COPYRIGHT LINKS WITHOUT PERMISSION     // 
///////////////////////////////////////////////////// 

//
// BBCode function
//
function BBCode($str) {
	
	//
	// Change this (BBCode)
	//
    $change = array(
                '/\[b\](.*?)\[\/b\]/is',                                
                '/\[i\](.*?)\[\/i\]/is',                                
                '/\[u\](.*?)\[\/u\]/is',                                
                '/\[url\=(.*?)\](.*?)\[\/url\]/is',                         
                '/\[url\](.*?)\[\/url\]/is',   
                );

	//
	// With this (HTML)
	//
    $with = array(
                '<strong>$1</strong>',
                '<em>$1</em>',
                '<u>$1</u>',
                '<a href="$1">$2</a>',
                '<a href="$1">$1</a>',
                );

    // Replace
    $str = preg_replace($change, $with, $str);

    return $str;
} 

//
// For security, to not allow any html etc
//
function Secure($string){
	
	$string = stripslashes($string); // Strips slashes
    $string = trim($string); // Trim, strips characters like \n
    $string = htmlentities($string); // Make code out of html (so the user cannot write html)
	
	return $string;
	
}

//
// Function to check for spam words
//
function CheckSpam($str, $words) {

    $total_matches = 0; // Sets matches to 0
    $trash = array(); // Array
	$return = false; // Assuming it's not spam to begin with
    
	// Go through all words to find matches
    foreach ($words as $word) {
   		$word_matches = preg_match_all('/' . $word . '/i', $str, $trash);
    }
    
	// If there were any matches
    if ($word_matches > 1) {
  		$return = true; // It's SPAM..
    }
	
	return($return);

}

//
// Function to check if the email is filled out correctly
//
function CheckEmail($email) {

	$return = false;
	
	if (!ereg("[A-Za-z0-9_-]+([\.]{1}[A-Za-z0-9_-]+)*@[A-Za-z0-9-]+([\.]{1}[A-Za-z0-9-]+)+",$email)){
		$return = true;
	}
	
	return($return);
 
}
?>